%define api 5
%define major 5
%define oname qt5

%define module qtwebkit

%define qtwebkit %mklibname qt%{api}webkit %{major}
%define qtwebkitd %mklibname qt%{api}webkit -d
%define qtwebkitwidgets %mklibname qt%{api}webkitwidgets %{major}
%define qtwebkitwidgetsd %mklibname qt%{api}webkitwidgets -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.1
Release:	4
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/snapshots/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/latest_srcsubmodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
Patch0:		qt-everywhere-opensource-src-5.5.0-webkit-ldflags.patch
Patch1:		qtwebkit-opensource-src-5.6.0-linkage.patch
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	gperf
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5OpenGL) >= %{version}
BuildRequires:	pkgconfig(Qt5PrintSupport) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
BuildRequires:	pkgconfig(Qt5Sql) >= %{version}
BuildRequires:	pkgconfig(Qt5WebChannel) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(zlib)
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qtwebkit}
Summary:	Qt WebKit web browsing library
Group:		System/Libraries

%description -n %{qtwebkit}
Qt WebKit web browsing library.

%files -n %{qtwebkit}
%{_qt5_libdir}/libQt%{api}WebKit.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}WebKit.so.%{major}*
%endif
%{_qt5_prefix}/qml/QtWebKit
%{_qt5_libexecdir}/QtWebProcess
%{_qt5_libexecdir}/QtWebPluginProcess

#----------------------------------------------------------------------------

%package -n %{qtwebkitd}
Summary:	Development files for the Qt WebKit web browsing library
Group:		Development/KDE and Qt
Requires:	%{qtwebkit} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qtwebkitd}
Development files for the Qt WebKit web browsing library.

%files -n %{qtwebkitd}
%{_qt5_includedir}/QtWebKit
%{_qt5_libdir}/libQt%{api}WebKit.so
%{_qt5_libdir}/libQt%{api}WebKit.prl
%{_qt5_libdir}/cmake/Qt%{api}WebKit
%{_qt5_libdir}/pkgconfig/Qt%{api}WebKit.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}WebKit.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_webkit.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_webkit_private.pri

#----------------------------------------------------------------------------

%package -n %{qtwebkitwidgets}
Summary:	Qt WebKit Widgets library
Group:		System/Libraries

%description -n %{qtwebkitwidgets}
Qt WebKit Widgets library.

%files -n %{qtwebkitwidgets}
%{_qt5_libdir}/libQt%{api}WebKitWidgets.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}WebKitWidgets.so.%{major}*
%endif

#----------------------------------------------------------------------------

%package -n %{qtwebkitwidgetsd}
Summary:	Development files for the Qt WebKit Widgets library
Group:		Development/KDE and Qt
Requires:	%{qtwebkitwidgets} = %{EVRD}
Requires:	%{qtwebkitd} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qtwebkitwidgetsd}
Development files for the Qt WebKit Widgets library.

%files -n %{qtwebkitwidgetsd}
%{_qt5_includedir}/QtWebKitWidgets
%{_qt5_libdir}/libQt%{api}WebKitWidgets.so
%{_qt5_libdir}/libQt%{api}WebKitWidgets.prl
%{_qt5_libdir}/cmake/Qt%{api}WebKitWidgets
%{_qt5_libdir}/pkgconfig/Qt%{api}WebKitWidgets.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}WebKitWidgets.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_webkitwidgets.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_webkitwidgets_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtwebkit.qch
%endif

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}
%patch0 -p2
%patch1 -p1

# 5.6.0 release tarball wasn't properly created
if [ ! -d include ]; then
%{_qt5_bindir}/syncqt.pl -version %{version} Source/sync.profile
fi

%build
%qmake_qt5

%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# nuke .pc reference(s) to %%_builddir
sed -i -e s," -L%{_builddir}[^ ]* ",,g %{buildroot}%{_libdir}/pkgconfig/*.pc

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Wed Jan 24 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-4
- (9231899) Bump release


